Page MenuHomePhabricator

elementary: add Efl.Ui.Grid_View by leveraging MVVM and Collection/Position_Manager infrastructure.
ClosedPublic

Authored by cedric on Sep 15 2019, 11:39 PM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Sep 15 2019, 11:39 PM
cedric requested review of this revision.Sep 15 2019, 11:39 PM

Can we get a test case in elm_test ?

zmike requested changes to this revision.Sep 16 2019, 6:52 AM

gonna need that elm_test case

This revision now requires changes to proceed.Sep 16 2019, 6:52 AM
SanghyeonLee requested changes to this revision.Sep 16 2019, 9:05 PM

need to add grid_view.eo.h in Efl_Ui.h

cedric planned changes to this revision.Sep 17 2019, 8:42 PM
bu5hm4n requested changes to this revision.Sep 18 2019, 12:06 PM

Also add the .c file to the src of elementary.

bu5hm4n added inline comments.Sep 18 2019, 12:08 PM
src/lib/elementary/efl_ui_grid_view.c
20

_efl_ui_grid_view_efl_object_constructor

cedric updated this revision to Diff 25204.Sep 19 2019, 1:17 PM
cedric edited the summary of this revision. (Show Details)

rebase and take comment into account

zmike requested changes to this revision.Sep 19 2019, 1:48 PM

You didn't take my comment into account.

This revision now requires changes to proceed.Sep 19 2019, 1:48 PM
cedric updated this revision to Diff 25294.Fri, Sep 20, 3:25 PM

phab!!!

bu5hm4n requested changes to this revision.Sat, Sep 21, 2:55 AM
bu5hm4n added inline comments.
src/lib/elementary/meson.build
903

Now you added it twice.

This revision now requires changes to proceed.Sat, Sep 21, 2:55 AM
cedric updated this revision to Diff 25421.Mon, Sep 23, 4:21 PM

rebase and take comment into account

This revision was not accepted when it landed; it landed in state Needs Review.Tue, Sep 24, 11:14 AM
This revision was automatically updated to reflect the committed changes.